
import pytest
from app import create_app

def test_app_loads_plugins():
    app = create_app({'TESTING': True})
    # Assuming app.plugins is a dict of loaded plugin modules
    assert hasattr(app, 'plugins'), "App object missing 'plugins' attribute"
    for plugin in ["auth", "admin", "plant", "cli"]:
        assert plugin in app.plugins, f"Plugin '{plugin}' not loaded into app.plugins"
